/*
 *  Copyright 2010 Felix Roethenbacher
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package ch.syabru.nagios.broker;

import java.io.IOException;
import java.io.Writer;

/**
 * External command interface.
 *
 * @author Felix Roethenbacher
 *
 */
public interface ExternalCommand {

    /**
     * Nagios state OK.
     */
    int STATE_OK = 0;
    /**
     * Nagios state warning.
     */
    int STATE_WARNING = 1;
    /**
     * Nagios state critical.
     */
    int STATE_CRITICAL = 2;
    /**
     * Nagios state unknown.
     */
    int STATE_UNKNOWN = 3;

    /**
     * Write external command to writer.
     * @param writer Writer.
     * @throws IOException XX.
     */
    void writeCommand(Writer writer) throws IOException;
}
