/*
 *  Copyright 2010 Felix Roethenbacher
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package ch.syabru.nagios.broker;

/**
 * External command handler exception.
 *
 * @author Felix Roethenbacher
 *
 */
public class ExternalCommandHandlerException extends Exception {

    private static final long serialVersionUID = 9093514743756338900L;

    /**
     * C'tor.
     */
    public ExternalCommandHandlerException() {
        super();
    }

    /**
     * C'tor.
     * @param message Message.
     */
    public ExternalCommandHandlerException(String message) {
        super(message);
    }

    /**
     * C'tor.
     * @param cause Cause.
     */
    public ExternalCommandHandlerException(Throwable cause) {
        super(cause);
    }

    /**
     * C'tor.
     * @param message Message.
     * @param cause Cause.
     */
    public ExternalCommandHandlerException(String message, Throwable cause) {
        super(message, cause);
    }

}
